SystemOrganization addCategory: #GODWebTests!

TestCase subclass: #WEBPageFetcherTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODWebTests'!

!WEBPageFetcherTest commentStamp: 'gsc 10/7/2014 08:13' prior: 0!
A WEBWebPageFetcherTest tests the WEBWebPageFetcher.
!

!WEBPageFetcherTest methodsFor: 'initialize-release' stamp: 'has 11/4/2014 09:18'!
setUp
	"Sets up for testing the fetcher"! !

!WEBPageFetcherTest methodsFor: 'testing' stamp: 'has 11/4/2014 09:28'!
testFetcherUrlSqueakSource
	
	| urlContent |
	
	urlContent := WEBWebPageFetcher fetch: WEBObjectFactoryTest createUrlSqueakSource.
	self assert: (urlContent includesSubString: 'smalltalkhub').! !

!WEBPageFetcherTest methodsFor: 'tests' stamp: 'jdv 11/14/2014 13:58'!
testGetFromUrl
	"WEBPageFetcherTest run: #testGetFromUrl"

	| res expected |
	"HTTP test"
	expected := '<!!DOCTYPE html><html><head><title>POO 2014</title></head><body>Welcome to the jungle!!</body></html>'.
	res := WEBPageFetcher fetch: 'http://www.ime.usp.br/~jdelgado/POO2014/index.html'.
	self assert: res = expected.
	
	"HTTPS test (with characteres in portuguese)"
	expected := '<!!DOCTYPE html><html><meta charset=''utf-8''><head><title>POO 2014</title></head><body></body></html>'.
	res := WEBPageFetcher fetch: 'https://www.ime.usp.br/~jdelgado/POO2014/special.html'.
	self assert: res = expected.! !

!WEBPageFetcherTest methodsFor: 'tests' stamp: 'gsc 10/7/2014 07:31'!
testGetFromUrl: url
	"Tests WEBWebPageFetcher>>getFromUrl"

	| res expected |
	expected := 'Test file contents.'.
	res := WEBWebPageFetcher fetch: url.
	self assert: (res content) = expected.! !

TestCase subclass: #WEBWebGeneratorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODWebTests'!

!WEBWebGeneratorTest methodsFor: 'initialize-release' stamp: 'has 10/26/2014 12:07'!
setUp

	|mainGodData headerData innerGodData|
	
	mainGodData := GODData new.
	mainGodData layoutGridRowSize: 2 columnSize: 1.
	
	headerData := WEBHeaderData new.
	headerData content: 'A simple title'.
	
	innerGodData := GODData new.
	innerGodData content: 'The content presented in the web page'.
	
	! !

!WEBWebGeneratorTest methodsFor: 'testing' stamp: 'has 10/26/2014 19:41'!
testCreatePageWithHeaderAndGodData

	| generator |

	generator := WEBWebGenerator new.
	generator initialize.
	
	generator render: WEBObjectFactoryTest createGODDataMainWithMatrix2X1WithHeaderAndGODData.
	
	self assert: (WEBObjectFactoryTest createGODDataMainWithMatrix2X1WithHeaderAndGODData isGODData).! !

Object subclass: #WEBObjectFactoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODWebTests'!

!WEBObjectFactoryTest class methodsFor: 'goddata creation' stamp: 'has 10/26/2014 12:14'!
createGODDataMainWithMatrix2By1
	
	| godData |
	
	godData := GODData new.
	godData content: 'This is the content of a main GODData.'.
	
	^godData.
	! !

!WEBObjectFactoryTest class methodsFor: 'goddata creation' stamp: 'has 10/26/2014 12:19'!
createGODDataMainWithMatrix2X1WithHeaderAndGODData
	
	| godData headerData innerGodData |
	
	godData := GODData new.
	godData content: 'This is the content of a main GODData.'.
	godData layoutGridRowSize: 2 columnSize: 1.
	
	headerData := WEBHeaderData new.
	headerData content: 'A simple title'.
	
	innerGodData := GODData new.
	innerGodData content: 'The content presented in the web page'.
	
	godData addOnLayoutGrid: headerData at: 1 at: 1.
	godData addOnLayoutGrid: innerGodData at: 2 at: 1.
	
	^godData.
	! !

!WEBObjectFactoryTest class methodsFor: 'url creation' stamp: 'has 11/4/2014 09:31'!
createUrlSqueakSource
	^'http://www.squeaksource.com/'! !
